#ifndef PAMG4_RUN_CONFIGURATION_H
#define PAMG4_RUN_CONFIGURATION_H

#include <TG4RunConfiguration.h>


class PamG4RunConfiguration : public TG4RunConfiguration
{
  public:
    PamG4RunConfiguration(const TString& userGeometry = "geomRootToGeant4",
			  const TString& physicsList = "QGSP_BIC_HP",
			  //const TString& physicsList = "QGSP_BERT",
                          //const TString& specialProcess = "specialCuts+specialControls+stepLimiter");
                          const TString& specialProcess = "stepLimiter");
    virtual ~PamG4RunConfiguration();

    // methods
     virtual G4VUserPhysicsList*    CreatePhysicsList();
    
    ClassDef(PamG4RunConfiguration,1)
};  

#endif //PAMG4_RUN_CONFIGURATION_H

